Bug 1171763 - 'api_version' should not be returned in status calls
Summary: 'api_version' should not be returned in status calls
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: API/integration
Version: 2.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.0.0
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 14:37 UTC by Chris Duryee
Modified: 2015-02-28 22:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:46:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 633 None None None Never

Description Chris Duryee 2014-12-08 14:37:04 UTC
Description of problem: Calls to '/pulp/api/v2/status/' currently return the X version of pulp. API users should use the X.Y.Z version instead, as returned by 'pulp_version'. The 'api_version' field can only be removed as part of 3.0.


Version-Release number of selected component (if applicable): 2.5.0

Comment 1 Brian Bouterse 2015-02-28 22:46:05 UTC
Moved to https://pulp.plan.io/issues/633


Note You need to log in before you can comment on or make changes to this bug.